LinkConnectivityServiceOffering:
    subClassOf: ['gax-trust-framework:ConnectivityServiceOffering']
    prefix: 'gax-trust-framework'
    attributes:
    -   title: 'connectivityConfiguration'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:ConnectivityConfiguration'
        cardinality: '1..*'
        description: 'all possible provided connectivity parameters for this particulr connectivity service offering'
        exampleValues: [ '(a structured object of type gax-trust-framework:ConnectivityConfiguration)' ]

    -   title: 'bandwidth'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:Measure'
        cardinality: '0..1'
        description: 'Contractual bandwidth defined in the service level agreement (SLA)'
        exampleValues: ['1 Gbit/s', '10 Gbit/s', '100 Gbit/s', '400 Gbit/s']

    -   title: 'roundTripTime'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:Measure'
        cardinality: '0..1'
        description: 'Contractual latency defined in the SLA.'
        exampleValues: ['1 ms', '10 ms', '1 s']

    -   title: 'availability'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:Measure'
        cardinality: '0..1'
        description: 'Contractual availability of connection defined in the SLA agreement. Availability is measured in the pseudo-unit "percent".'
        exampleValues: ['99.9999 %', '99.9 %', '99.99 %']

    -   title: 'packetLoss'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:Measure'
        cardinality: '0..1'
        description: 'Contractual packet loss of connection defined in the SLA agreement. If not specified, then best effort is assumed. PackageLoss s measured in the pseudo-unit "percent"-'
        exampleValues: ['0.00002 %']

    -   title: 'jitter'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:Measure'
        cardinality: '0..1'
        description: 'Contractual jitter defined in the SLA. If not specified, then best effort is assumed.'
        exampleValues: ['0.01 ms', '0.002 ms']

    -   title: 'protocolType'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'
        cardinality: '1..1'
        description: 'Link protocol type'
        exampleValues: ['Ethernet, ARP, PPP, VLAN']

    -   title: 'vlanType'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'
        cardinality: '0..1'
        description: 'the chosen types of vlan types'
        exampleValues: ['qinq', 'dot1q']

    -   title: 'vlanTag'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:Measure'
        cardinality: '0..1'
        description: 'Vlan Tag ID that range between 1 and 4094. In case qinq connection type is chosen tow vlan tag, namely outer and innter should be provided'
        exampleValues: ['23', '175']

    -   title: 'vlanEtherType'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'
        cardinality: '0..1'
        description: 'The ethertype of the vlan in hexadecimal notation.'
        exampleValues: ['0x8100', '0x88a8']
